Package com.tietoenator.trip.jxp.forms

# Class TdbEntryForm

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSerializableObject
com.tietoenator.trip.jxp.forms.TdbFormat
com.tietoenator.trip.jxp.forms.TdbEntryForm

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `TdbControlObjectProvider`, `Iterable<String>`

public class TdbEntryForm extends TdbFormat
Specialization of TdbFormat for TRIPclassic data entry forms

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbEntryForm(TdbSession session)`
  Constructor, creates a blank instance
  `TdbEntryForm(TdbSession session, TdbControlObject ob)`
  Constructor, creates a format instance for the referenced Control object

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.forms.TdbFormat

  `content, copy, create, create, delete, delete, delete, export, export, export, get, get, get, getComment, getDatabase, getName, getOwnerName, importUpdate, importUpdate, importUpdate, iterator, put, rename, setComment, setContent, setDatabase, setName`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSerializableObject

  `getControlObject`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### TdbEntryForm

    public TdbEntryForm(TdbSession session) throws TdbException
    Constructor, creates a blank instance
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`

  - ### TdbEntryForm

    public TdbEntryForm(TdbSession session, TdbControlObject ob) throws TdbException
    Constructor, creates a format instance for the referenced Control object
    Parameters:
      `session` - Active session
      `ob` - Control object referencing the format
    Throws:
      `TdbException`